Debian Bug report logs - #653840
rootskel-bootfloppy: depends on unavailable klibc-utils-floppy-udeb on ia64

version graph

Package: rootskel-bootfloppy; Maintainer for rootskel-bootfloppy is Debian Install System Team <debian-boot@lists.debian.org>;

Reported by: Julien Cristau <jcristau@debian.org>

Date: Sat, 31 Dec 2011 13:45:02 UTC

Severity: normal

Found in version rootskel/1.98

Fixed in version rootskel/1.100

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#653840; Package rootskel-bootfloppy. (Sat, 31 Dec 2011 13:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 31 Dec 2011 13:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: rootskel-bootfloppy: depends on unavailable klibc-utils-floppy-udeb on ia64
Date: Sat, 31 Dec 2011 14:43:15 +0100
Package: rootskel-bootfloppy
Version: 1.98
Severity: grave

britney says:

    rootskel-bootfloppy/ia64 unsatisfiable Depends: klibc-utils-floppy-udeb (>= 1.5-2)

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#653840; Package rootskel-bootfloppy. (Sat, 31 Dec 2011 16:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 31 Dec 2011 16:15:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Julien Cristau <jcristau@debian.org>, 653840@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#653840: rootskel-bootfloppy: depends on unavailable klibc-utils-floppy-udeb on ia64
Date: Sat, 31 Dec 2011 12:14:20 -0400
[Message part 1 (text/plain, inline)]
Julien Cristau wrote:
>     rootskel-bootfloppy/ia64 unsatisfiable Depends: klibc-utils-floppy-udeb (>= 1.5-2)

This is not a new dependency, it's from 2008 and klibc-utils-floppy-udeb
is not built on ia64.

But why are you trying to use boot floppies, let alone on ia64 anyway?

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#653840; Package rootskel-bootfloppy. (Sat, 31 Dec 2011 16:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 31 Dec 2011 16:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#653840; Package rootskel-bootfloppy. (Sat, 31 Dec 2011 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 31 Dec 2011 16:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 653840@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Joey Hess <joeyh@debian.org>, 653840@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#653840: rootskel-bootfloppy: depends on unavailable klibc-utils-floppy-udeb on ia64
Date: Sat, 31 Dec 2011 17:17:26 +0100
[Message part 1 (text/plain, inline)]
Joey Hess <joeyh@debian.org> (31/12/2011):
> But why are you trying to use boot floppies, let alone on ia64 anyway?

You left out “britney” in your quote. That one:
  http://release.debian.org/tools.html

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#653840; Package rootskel-bootfloppy. (Sat, 31 Dec 2011 16:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 31 Dec 2011 16:27:05 GMT) Full text and rfc822 format available.

Message #25 received at 653840@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 653840@bugs.debian.org
Subject: Re: Bug#653840: rootskel-bootfloppy: depends on unavailable klibc-utils-floppy-udeb on ia64
Date: Sat, 31 Dec 2011 17:24:31 +0100
On Sat, Dec 31, 2011 at 12:14:20 -0400, Joey Hess wrote:

> Julien Cristau wrote:
> >     rootskel-bootfloppy/ia64 unsatisfiable Depends: klibc-utils-floppy-udeb (>= 1.5-2)
> 
> This is not a new dependency, it's from 2008 and klibc-utils-floppy-udeb
> is not built on ia64.
> 
> But why are you trying to use boot floppies, let alone on ia64 anyway?
> 
I'm not, I'm just looking at grep-excuses, which suggests either
klibc-utils-floppy-udeb should exist on ia64 or rootskel-bootfloppy
should be killed there.

Cheers,
Julien




Severity set to 'normal' from 'grave' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 31 Dec 2011 16:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#653840; Package rootskel-bootfloppy. (Sat, 31 Dec 2011 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 31 Dec 2011 16:57:03 GMT) Full text and rfc822 format available.

Message #32 received at 653840@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 653840@bugs.debian.org
Subject: Re: Bug#653840: rootskel-bootfloppy: depends on unavailable klibc-utils-floppy-udeb on ia64
Date: Sat, 31 Dec 2011 12:53:52 -0400
[Message part 1 (text/plain, inline)]
Julien Cristau wrote:
> I'm not, I'm just looking at grep-excuses, which suggests either
> klibc-utils-floppy-udeb should exist on ia64 or rootskel-bootfloppy
> should be killed there.

Quite likely rooskel-bootfloppy and klibc-utils-floppy-udeb should be
killed *everywhere*. It's not like the kernel has fit on a floppy in 4
years on i386.

At some point, leaving this cruft around in hopes that the kernel will
magically be halfed in size is counterproductive.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Sat, 31 Dec 2011 17:03:03 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Thu, 21 Jun 2012 16:36:10 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Thu, 21 Jun 2012 16:36:10 GMT) Full text and rfc822 format available.

Message #39 received at 653840-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 653840-close@bugs.debian.org
Subject: Bug#653840: fixed in rootskel 1.100
Date: Thu, 21 Jun 2012 16:34:28 +0000
Source: rootskel
Source-Version: 1.100

We believe that the bug you reported is fixed in the latest version of
rootskel, which is due to be installed in the Debian FTP archive:

rootskel_1.100.dsc
  to main/r/rootskel/rootskel_1.100.dsc
rootskel_1.100.tar.gz
  to main/r/rootskel/rootskel_1.100.tar.gz
rootskel_1.100_amd64.udeb
  to main/r/rootskel/rootskel_1.100_amd64.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653840@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated rootskel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 21 Jun 2012 18:16:55 +0200
Source: rootskel
Binary: rootskel
Architecture: source amd64
Version: 1.100
Distribution: unstable
Urgency: high
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 rootskel   - Skeleton root filesystem used by debian-installer (udeb)
Closes: 653840
Changes: 
 rootskel (1.100) unstable; urgency=high
 .
   [ Joey Hess ]
   * Remove rootskel-bootfloppy. The age of the floppy is officially over.
     Closes: #653840
 .
   [ Robert Millan ]
   * src/sbin/init-kfreebsd: Start devd to process all pending events
     before init (see #493865)
 .
   [ Julien Cristau ]
   * Generate debian/templates in build-arch as well as build, so they don't go
     missing on non-source uploads.  Thanks to Cyril Brulebois for the
     investigation.
Checksums-Sha1: 
 8ee7be229aa463d913ccf440460adb703f6cb86c 1706 rootskel_1.100.dsc
 439a83c7fa235f55f2a29850f06677773a48311c 34282 rootskel_1.100.tar.gz
 b9f2d4f2808565ce867529c0c228078701ece98e 8710 rootskel_1.100_amd64.udeb
Checksums-Sha256: 
 e140e286fc6cc66d29adaaf18b991801c27c373d1205253e21c9092121d853f1 1706 rootskel_1.100.dsc
 30520452cde8b306ac2b6c64e32fe9b878502e13987c357414a6894156b1527f 34282 rootskel_1.100.tar.gz
 8f2f491e2e0ab8139d745c267e48d54b0c4a90a16c3fda9d4913ab0a84300b81 8710 rootskel_1.100_amd64.udeb
Files: 
 47d680fad0d6eb0408db6e9d082a18df 1706 debian-installer standard rootskel_1.100.dsc
 6f23ba19b8fe3e0c23f1ac767b587089 34282 debian-installer standard rootskel_1.100.tar.gz
 eac09b4a292e90d1440f987613bf20e0 8710 debian-installer standard rootskel_1.100_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP40oSAAoJEDEBgAUJBeQMYsAQAOzzGbVtxaDLDvxbMv2DXxvv
i6uYHza4SOBKPBHT1Kv9A4f2ifd/UCP83mcHShrZxHV4UghjuBRn47KlKjmvba4E
L7PZz1o5rfOMcKpAFe3aC90dpXeu20Fa1neWh21ddQ07WlYCqy/hrrZCnpp6xHG2
a42stMarr9jIUL7HolSqErD/RNfsiT9CH8xaRKvipWS9zPppAHSxn2dDgobCeFWl
dBkiIKG2qLQff6Deu+NemwxVgk96NDDmgh5q5XrYnZ2X5TgI+bfxCnxum/sT/if+
aZuyRaQuPZ6giHYgUDfBHegQbo4A1Llm7Vk5+RZ7UdY1+HY0edJfySHpbPk2nDsO
nboguzaYd+5lTKyvyp+VG++VdSVi/1oWNOC7gtsayde4plaMRln1uKHqMBbzefcR
nZEDSnPZxxb4DsYkkXUBp2Pvseh2Sk/ceSjHjOY3a1f8p28nZntXkX1FQHplyFcM
aeEaRFhbxY8IulMdW17D8F7l2m+LMPnKdtr30X3mG9DEu8fcZh7wtVRgTUmCUAFa
TPhW93NZ1XY6GAo00tnZgCvZNu5Hf5z5CxoA0etVITl0nwhYhLQ9GQRe8vWtSHvm
tjcxA0QTHon6eO+X81ag1jalaeJc2H7zstNfl2If/WebMpHReNKg0hKqxzXhwMKT
Gxw01aLPqUYnMab91sL4
=hhm1
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#653840; Package rootskel-bootfloppy. (Fri, 22 Jun 2012 21:03:03 GMT) Full text and rfc822 format available.

Message #42 received at 653840@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Joey Hess <joeyh@debian.org>, 653840@bugs.debian.org
Subject: Re: Bug#653840: rootskel-bootfloppy: depends on unavailable klibc-utils-floppy-udeb on ia64
Date: Fri, 22 Jun 2012 22:58:53 +0200
[Message part 1 (text/plain, inline)]
On Sat, Dec 31, 2011 at 12:53:52PM -0400, Joey Hess wrote:
> Julien Cristau wrote:
> > I'm not, I'm just looking at grep-excuses, which suggests either
> > klibc-utils-floppy-udeb should exist on ia64 or rootskel-bootfloppy
> > should be killed there.
> 
> Quite likely rooskel-bootfloppy and klibc-utils-floppy-udeb should be
> killed *everywhere*. It's not like the kernel has fit on a floppy in 4
> years on i386.
> 
> At some point, leaving this cruft around in hopes that the kernel will
> magically be halfed in size is counterproductive.

And what about floppy-retriever?

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#653840; Package rootskel-bootfloppy. (Sat, 23 Jun 2012 15:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 23 Jun 2012 15:27:07 GMT) Full text and rfc822 format available.

Message #47 received at 653840@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Philipp Kern <pkern@debian.org>, 653840@bugs.debian.org
Subject: Re: Bug#653840: rootskel-bootfloppy: depends on unavailable klibc-utils-floppy-udeb on ia64
Date: Sat, 23 Jun 2012 11:24:17 -0400
[Message part 1 (text/plain, inline)]
Philipp Kern wrote:
> And what about floppy-retriever?

It was renamed to media-retriever in 2008. Perhaps a RM bug was
forgotten to be filed?

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#653840; Package rootskel-bootfloppy. (Sat, 23 Jun 2012 15:51:06 GMT) Full text and rfc822 format available.

Message #50 received at 653840@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 653840@bugs.debian.org
Subject: Re: Bug#653840: rootskel-bootfloppy: depends on unavailable klibc-utils-floppy-udeb on ia64
Date: Sat, 23 Jun 2012 17:46:40 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jun 23, 2012 at 11:24:17AM -0400, Joey Hess wrote:
> Philipp Kern wrote:
> > And what about floppy-retriever?
> It was renamed to media-retriever in 2008. Perhaps a RM bug was
> forgotten to be filed?

ACK, thanks. Did so now.

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Jul 2012 07:28:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:58:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.